org.apache.cassandra.cql3.statements

## Class Selection

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selection

    public abstract class Selection
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `Selection.ResultSetBuilder`

### Constructor Summary

Constructors
`protected` `Selection(java.util.List<CFDefinition.Name> columnsList, java.util.List<ColumnSpecification> metadata, boolean collectTimestamps, boolean collectTTLs)`

### Method Summary

Methods
`static Selection` `forColumns(java.util.List<CFDefinition.Name> columnsList)`
`static Selection` `fromSelectors(CFDefinition cfDef, java.util.List<RawSelector> rawSelectors)`
`java.util.List<CFDefinition.Name>` `getColumnsList()`
`ResultSet.Metadata` `getResultMetadata()`
`protected abstract java.util.List<java.nio.ByteBuffer>` `handleRow(Selection.ResultSetBuilder rs)`
`boolean` `isWildcard()`
`java.util.List<ColumnIdentifier>` `regularAndStaticColumnsToFetch()`
`Selection.ResultSetBuilder` `resultSetBuilder(long now)`
`static Selection` `wildcard(CFDefinition cfDef)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Selection

    protected Selection(java.util.List<CFDefinition.Name> columnsList,
             java.util.List<ColumnSpecification> metadata,
             boolean collectTimestamps,
             boolean collectTTLs)

### Method Detail

#### isWildcard

    public boolean isWildcard()

#### getResultMetadata

    public ResultSet.Metadata getResultMetadata()

#### wildcard

    public static Selection wildcard(CFDefinition cfDef)

#### forColumns

    public static Selection forColumns(java.util.List<CFDefinition.Name> columnsList)

#### fromSelectors

    public static Selection fromSelectors(CFDefinition cfDef,
                          java.util.List<RawSelector> rawSelectors)
                                   throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### handleRow

    protected abstract java.util.List<java.nio.ByteBuffer> handleRow(Selection.ResultSetBuilder rs)
                                                              throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### regularAndStaticColumnsToFetch

    public java.util.List<ColumnIdentifier> regularAndStaticColumnsToFetch()

Returns:
  the list of CQL3 "regular" (the "COLUMN_METADATA" ones) column names to fetch.

#### getColumnsList

    public java.util.List<CFDefinition.Name> getColumnsList()

Returns:
  the list of CQL3 columns value this SelectionClause needs.

#### resultSetBuilder

    public Selection.ResultSetBuilder resultSetBuilder(long now)